package go_swagger

import (
	"path/filepath"

	"github.com/juju/errors"

	"git.dev.m-and-m.ovh/mderasse/gouick/helpers"
	"git.dev.m-and-m.ovh/mderasse/gouick/models"

	log "github.com/sirupsen/logrus"
)

// GenerateLauncher will generate a launcher.sh based on the files found in cmd directory.
func (a APIType) GenerateLauncher(path string, config *models.Config) error {
	log.Debugf("Starting %s - %s", a.GetName(), helpers.GetCurrentFuncName())

	templatePath := filepath.Join(templateDirectory, "custom/launcher.sh.tmpl")
	savePath := filepath.Join(path, "launcher.sh")

	data, err := a.getStdTemplate(path, config)
	if err != nil {
		log.Error("Fail to generate standard template variable")
		return errors.Trace(err)
	}

	err = helpers.WriteTemplate(templatePath, savePath, data)
	if err != nil {
		return errors.Trace(err)
	}

	return nil
}
