package api_types

import "git.dev.m-and-m.ovh/mderasse/gouick/models"

// APITypeInterface is the interface that need to be respected by an APIType.
type APITypeInterface interface {
	CheckInitialize() error
	CreateProjectSkeleton(path string, config *models.Config) error
	GenerateAPI(path string, config *models.Config) error
	GenerateDockerfile(path string, config *models.Config) error
	GenerateLauncher(path string, config *models.Config) error
	GenerateMakefile(path string, config *models.Config) error
	GenerateReadme(path string, config *models.Config) error
	GetInitializeUserInput(params *models.Config) (*models.Config, error)
	GetName() models.APITypeName
}
