package dependencies

import "git.dev.m-and-m.ovh/mderasse/gouick/models"

// DependencyInterface is the interface that need to be respected for a dependency.
type DependencyInterface interface {
	CanBeInstalled() bool
	DescribeInstall(path string) string
	DescribePostInstall(path string) string
	GetBinaryPath() (string, error)
	GetInstallDirectory() (string, error)
	GetName() models.DependencyName
	GetMinimumVersion() string
	GetVersion() (string, error)
	Install(path string) error
	PostInstall(path string) error
	IsInstalled() (bool, error)
	IsVersionSupported() (bool, error)
}
