package models

// Config structure represent the main configuration of the project.
type Config struct {
	ProjectName        string               `yaml:"project_name"`
	ProjectDescription string               `yaml:"project_description"`
	ProjectContact     ProjectContactStruct `yaml:"project_contact"`
	ProjectType        APITypeName          `yaml:"project_type"`
	ModulePath         *string              `yaml:"module_name"`
	Features           FeaturesConfig       `yaml:"features"`
}

// ProjectContactStruct contain all contact information for that project.
type ProjectContactStruct struct {
	Name  string `yaml:"name"`
	Email string `yaml:"email"`
	URL   string `yaml:"url"`
}

// FeaturesConfig structure represent the configuration of all possible features.
type FeaturesConfig struct {
	DatabaseModels DatabaseModelsConfig `yaml:"database_models"`
}

// DatabaseModelsConfig structure represent the configuration of the Database Models feature.
type DatabaseModelsConfig struct {
	Enabled bool `yaml:"enabled"`
}
